### Class

# Gimp PDB

#### Description [src]

    final class Gimp.PDB : GObject.Object
    {
      /* No available fields */
    }

Provides access to the Procedural DataBase (PDB).

#### Ancestors

- GObject

#### Instance methods

###### gimp_pdb_dump_to_file

Dumps the current contents of the procedural database.

since: 3.0

###### gimp_pdb_get_last_error

Retrieves the error message from the last procedure call.

since: 3.0

###### gimp_pdb_get_last_status

Retrieves the status from the last procedure call.

since: 3.0

###### gimp_pdb_lookup_procedure

This function returns the `GimpProcedure` which is registered with `procedure_name` if it exists, or returns `NULL` otherwise.

since: 3.0

###### gimp_pdb_procedure_exists

This function checks if a procedure exists in the procedural database.

since: 3.0

###### gimp_pdb_query_procedures

Queries the procedural database for its contents using regular expression matching.

since: 3.0

###### gimp_pdb_temp_procedure_name

Generates a unique temporary PDB name.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpPDBClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.